openvas-libraries 8.0.4 (2015-07-09)

This is the fourth maintenance release of the openvas-libraries 8.0 module for
the Open Vulnerability Assessment System 8 (OpenVAS-8).

This release improves the stability of redis commands and fixes an issue which
could cause the output of SSH commands to be truncated prematurely. It also adds
support for timeout options to a number of OMP library commands and improves the
detection of the GnuTLS library.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Matthew Mundell and Michael Wiegand.

Main changes compared to 8.0.3:
* Detection of the GnuTLS library during configuration time has been improved.
* Support for handling timeout options has been added to a number of OMP library
  functions.
* An issue which caused the output of SSH commands to be truncated prematurely
  in certain circumstances has been fixed.


openvas-libraries 8.0.3 (2015-05-11)

This is the third maintenance release of the openvas-libraries 8.0 module for
the Open Vulnerability Assessment System 8 (OpenVAS-8).

This release improves the test for excluded hosts.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles.

Main changes compared to 8.0.2:
* The test for excluded hosts now checks the targets resolved IP address as well
  when in resolve mode.


openvas-libraries 8.0.2 (2015-04-30)

This is the second maintenance release of the openvas-libraries 8.0 module for
the Open Vulnerability Assessment System 8 (OpenVAS-8).

This release adds support for retrieving the target hostname via a reverse DNS
lookup and fixes a segmentation fault when using regular expressions as well as
addressing several build issues.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Miguel Angel Cabrera Moya and Michael Wiegand.

Main changes compared to 8.0.1:
* Support for retrieving the target hostname through a reverse DNS lookup has
  been added.
* A memory issue which caused segmentation faults when using regular expression
  in certain circumstances has been fixed.
* A build issue with determining linker flags for libsnmp has been addressed.
* Superfluous linker flags reported by openvas-libraries through pkg-config have
  been removed to avoid overlinking.
* An issue which prevented openvas-libraries from building with GLib =< 2.30 has
  been addressed.


openvas-libraries 8.0.1 (2015-04-01)

This is the first maintenance release of the openvas-libraries 8.0 module for
the Open Vulnerability Assessment System 8 (OpenVAS-8).

It contains some smaller fixes and cleanups, most addressing
build and dependency issues.

Many thanks to everyone who has contributed to this release:
 Hani Benhabiles, Matthew Mundell and Michael Wiegand.

Main changes compared to 8.0.0:
* Small improvements to the configuration and build process
  to also allow for some static builds.
* Bugfix to make it work with libssh 0.5 again.
* Improved SNMP NASL commands.
* Internal code cleanups and improvements. Among this, removed
  various unneeded functions and arguments.


openvas-libraries 8.0.0 (2015-03-16)

This is the first release of the openvas-libraries 8.0 module for the Open
Vulnerability Assessment System 8 (OpenVAS-8). Compared to the previous major
release it covers a broad set of improvements for the various OpenVAS services
and applications.

Many thanks to everyone who contributed to this release:
Benoīt Allard, Hani Benhabiles, Henri Doreau, Andre Heinecke, Michael Meyer,
Matthew Mundell, Timo Pollmeier, Thanga Prakash, Jan-Oliver Wagner and Michael
Wiegand.

Main changes compared to the 7.0 series:
* The minimum required version of GnuTLS has been raised to 2.12.
* The knowledge base (KB) back end is now based on Redis. This make the hiredis
  library a mandatory prerequisite.
* The libssh library is now a mandatory prerequisite.
* OpenVAS Libraries now uses the openvas-smb module for optional WMI and related
  functionality.
* Optional SNMP support has been added, this make Net-SNMP an optional
  prerequisite.
* Support for using ECDSA SSH keys has been added. This requires libssh 0.6.0 or
  newer.
* Support for PKCS#8 encrypted SSH keys has been added.
* Support for the new OpenVAS Scanner Protocol (OSP) has been added.
* New option "-B" for command line tool "openvas-nasl" to make the script run in
  description mode first.
* Export file names are now more customizable.
* The built-in find_service plugin now sends a Host header with HTTP GET
  requests.
* The Host header for HTTP(S) requests will no longer include the port number if
  the port is 80 or 443 respectively.
* The public key part for SSH credentials is no longer required as it is
  redundant.
* Support for the obsolete OMP rcfile element has been removed.
* Support for the obsolete target locators concept has been removed.
* Support for pausing scan tasks has been removed.
* Support for the scanner option "ntp_short_status" has been removed. This was a
  condensed syntax for OTP "STATUS" command.
* NVTi cache files no longer include the "src" element.
* The "action" element is no longer included in the OTP "STATUS" response.
* Issues which caused some task properties to not be transferred correctly to
  scan slaves have been fixed.
* Significant memory consumption reduction of which primarily OpenVAS Scanner
  benefits from.
* Library checks during package configuration have been improved and are now
  more comprehensive and consistent.
* Handling of linker and compiler flags during package configuration has been
  improved and simplified.
* The build process has been cleaned up.
* The User-Agent used for HTTP requests has been updated.
* Handling of user specific severity values has been improved.
* Handling of IPv6 IPs has been improved.
* The strategy for retrying GnuTLS handshakes has been improved.
* Improved password policy warning handling.
* Improved logging.
* Various code quality improvements based on automatic and manual code
  analysis.

Main changes compared to 8.0+beta6:
* An issue which caused some task properties to not be transferred correctly to
  scan slaves has been fixed.
* An issue which caused the SSH key type to be missing from exported SSH public
  keys has been fixed.
* An issue with caused SSH credentials from the knowledge base to incorrectly
  take precedence over those supplied as function arguments has been fixed.
* Support for PKCS#8 encrypted SSH keys has been added.
* SSH support has been improved.
* OMP support has been improved.
* Code cleanups.


openvas-libraries 8.0+beta6 (2015-02-11)

This release is the sixth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-8".

This release switches openvas-libraries to using the new openvas-smb module for
WMI and related functionality. It also fixes an issue with transferring SSH
settings to scan slaves, improves support for OSP and addresses various issues
with the configuration and build environment.

Many thanks to everyone who has contributed this release:
Benoīt Allard, Hani Benhabiles, Andre Heinecke, Matthew Mundell, Timo Pollmeier,
Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 8.0+beta5:
* openvas-libraries now uses the openvas-smb module for WMI and related
  functionality.
* An issue which caused SSH port setting to not be transferred correctly to scan
  slaves has been fixed.
* OSP support has been improved.
* Library checks during package configuration have been improved and are now
  more comprehensive and consistent.
* Handling of linker and compiler flags during package configuration has been
  improved and simplified.
* Various code quality improvements based on automatic and manual code
  analysis.


openvas-libraries 8.0+beta5 (2015-01-12)

This release is the fifth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-8".

This release adds initial support for SNMP requests and makes export file names
more customizable. It also contains improvements to header used for HTTP(S)
request along with other improvements and cleanups as well as and updated
documentation for WMI support.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Michael Meyer, Matthew Mundell, Timo Pollmeier and Jan-Oliver
Wagner.

Main changes compared to 8.0+beta4:
* SNMP support has been added.
* Export file names are now more customizable.
* The User-Agent used for HTTP requests has been updated.
* The Host header for HTTP(S) requests will no longer include the port number
  if the port is 80 or 443 respectively.
* The built-in find_service plugin now sends a Host header with HTTP GET
  requests.
* NVTi cache files no longer include the "src" element.
* Handling of user specific severity values has been improved.
* Handling of IPv6 IPs has been improved.
* OSP support has been improved.
* The strategy for retrying GnuTLS handshakes has been improved.
* The WMI support documentation has been updated.
* The build process has been cleaned up.
* Various code quality improvements based on automatic and manual code
  analysis.


openvas-libraries 8.0+beta4 (2014-11-20)

This release is the fourth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-8".

This release includes the results of yet another significant
memory consumption reduction as well as comprehensive code cleanups
including various memory leaks.

Many thanks to everyone who has contributed this release:
Benoīt Allard, Hani Benhabiles, Henri Doreau, Michael Meyer, Matthew Mundell,
Thanga Prakash, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 8.0+beta3:
* Raised minimum required version of GnuTLS to 2.12.
* Significant memory consumption reduction of which primarily OpenVAS
  benefits from.
* Drop support for scanner option "ntp_short_status". This was a condensed
  syntax for OTP "STATUS" command.
* Removed "action" from the STATUS otp response.
* Skip OMP library log messages when sending passwords.
* Added support for using ecdsa keys when libssh 0.6.0 or higher is present.
* Introduced global preferences store.
* Split up single pc file for entire module into one pc file per library.
* Improved logging.
* Various code quality improvements based on automatic and manual
  code analysis.


openvas-libraries 8.0+beta3 (2014-10-14)

This release is the third beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-8".

This release includes the results of further consolidation of memory management
and comprehensive code cleanups. It addresses multiple memory leaks and improves
the stability of concurrent XML parsing.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Henri Doreau, Matthew Mundell, Timo Pollmeier and Jan-Oliver
Wagner.

Main changes compared to 8.0+beta2:
* Further steps toward a comprehensive consolidation of memory management.
* Further comprehensive code cleanups in a number of areas.
* Multiple memory leaks have been identified and addressed.
* Stability of concurrent XML parsing has been improved.
* WMI support patch has been updated.


openvas-libraries 8.0+beta2 (2014-09-22)

This release is the second beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-8".

This release is the result of further comprehensive code cleanups and steps
towards a consolidated memory management. It also features improvements to the
logging of the NASL parser and a more versatile detection of the hiredis
library.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 8.0+beta1:
* Steps toward a comprehensive consolidation of memory management.
* Further comprehensive code cleanups in a number of areas.
* Error messages from the NASL parser now include script name and line number.
* Log messages during OMP XML parsing are now logged with more appropriate log
  levels.
* Detection of the hiredis library has been made more versatile.
* GPLv2+ licence notices now contain the exact wording suggested by the Free
  Software Foundation.


openvas-libraries 8.0+beta1 (2014-08-21)

This release is the first beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-8".

Main new features and other changes of 8.0 compared to 7.0 include the
new redis-based backend for the Knowldge Base (KB) and support for OpenVAS
Scanner Protocol (OSP).

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Henri Doreau, Michael Meyer, Matthew Mundell, Timo Pollmeier,
Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 7.0.x:
* Changed the kowledge base (KB) backend to a redis-based one.
  This adds the mandatory prerequisite for the library hiredis.
* Made libssh a mandatory prerequisite.
* Added support functions for new OpenVAS Scanner Potocol (OSP).
* Improved password policy warning handling.
* New option "-B" for command line tool "openvas-nasl" to make the
  script run in description mode first.
* Dropped the public key part for SSH credentials as it is redundant.
* Dropped support for OMP rcfile.
* Dropped support for target locators.
* Dropped support for pausing scan tasks.
* Improved support of server connections including TLS part (GNUTLS). 
* Various little fixes and extensions.
* Comprehensive code-cleanups.


openvas-libraries 7.0.1 (2014-04-23)

This is the first maintenance release of the openvas-libraries 7.0 module for
the Open Vulnerability Assessment System 7 (OpenVAS-7).

It contains various smaller fixes and cleanups and adds some NASL
API functions for ssl.

Many thanks to everyone who has contributed to the 7.0.1 release:
BenoĆ®t Allard, Hani Benhabiles, Henri Doreau, Matthew Mundell,
Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 7.0.0:
* Added socket_get_ssl_session_id(), socket_get_ssl_version(),
  socket_get_ssl_ciphsersuite and socket_get_ssl_compression() to NASL API.
* Moved the lsc rpm creator script to module openvas-manager.
* Improved compatibility with libssh versions.
* Improved package configuration.
* Improved sample configuration files.
* Various minor bug-fixes.


openvas-libraries 7.0.0 (2014-04-09)

This is the first release of the openvas-libraries 7.0 module for the Open
Vulnerability Assessment System 7 (OpenVAS-7). Compared to the previous major
release it covers a broad set of improvements for the various OpenVAS services
and applications.

Many thanks to everyone who has contributed to the 7.0.0 release:
BenoĆ®t Allard, Sebastian Aucouturier, Hani Benhabiles, Henri Doreau,
Dan Fandrich, Andre Heinecke, Werner Koch, Matthew Mundell, Timo Pollmeier,
Thanga Prakash, Thomas Rotter, Jan-Oliver Wagner, Michael Wiegand and
Felix Wolfsteller.

Main changes compared to 6.0.x:
* Add TLSv1.1 and TLSv1.2 support.
* Add ability to specify a gnutls priority for a scanner context.
* Add debug info when parameters are missing in script_xref / script_tag calls.
* Add support for NASL to run commands remotely on Windows when authenticated.
* Unify LOG, NOTE and INFO message types as ALARM.
* Support for NVT with new style tags has been added.
* NVT severity classification now uses the CVSS value of the NVTs instead of
  separate message types.
* The authentication system has been converted to support database users.
* Separate key directories are now used for signature verification and
  credential encryption.
* File based user specific rules support has been removed.
* File based role management has been removed.
* New OpenVAS Hosts API with cleaner code and documentation and various new
  features (IPv6 ranges, hosts exclusions and deduplications, reverse lookups
  only/unify hosts, multiple hosts ordering strategies etc,.)
* Removal of HG submodule.
* Improved support for compiling openvas-libraries in MINGW.
* Add support for initializing libgcrypt before use.
* Remove handling of .nes dependencies extensions.
* The required minimum GnuTLS version has increased to 2.8.
* Default build behaviour has been changed to produce only dynamically linked files.
* Additional tool "nasl-lint" to support NASL developers.
* Support for gzip compression has been added to NASL, introducing a new dependency on zlib.
* Some functions of Manager are moved to libraries.
* Reimplemented proctitle handling.
* Fixed an issue which prevent a static build of openvas-libraries from
  succeeding.
* The port range option "default" has been removed.
* Sending of the "SERVER <|> PORT" message of OTP has been removed.
* Use UTF-8 for OTP.
* Various small fixes, improvements and code cleanups.
And additionally changes compared to last beta release 7.0+beta9:
* Removed force_pubkey_auth preference as certificates are always verified.
* NASL command cert_query: Added "algorithm-name" command type.
* New NASL command: socket_ssl_negotiate.
* New NASL command: socket_get_cert.
* Cleaned up remote authentication module: Dropped ldap and ads,
  keep only ldap_connect.


openvas-libraries 7.0+beta9 (2014-03-28)

This is the ninht beta release of the next major release of openvas-libraries.
It will be part of the upcoming "OpenVAS-7".

This release implements the first steps of PFS support.

Many thanks to everyone who contributed to this release:
Hani Benhabiles and Jan-Oliver Wagner.

Main changes since 7.0+beta8:
* First step for PFS support.
* Code cleanup.


openvas-libraries 7.0+beta8 (2014-03-26)

This is the eight beta release of the next major release of openvas-libraries.
It will be part of the upcoming "OpenVAS-7".

This release adds TLSv1.1 and TLSv2.1 support and cleanup a large amount of
code.

Many thanks to everyone who contributed to this release:
Hani Benhabiles and Jan-Oliver Wagner.

Main changes since 7.0+beta7:
* Add TLSv1.1 and TLSv1.2 support.
* Add ability to specify a gnutls priority for a scanner context.
* Code cleanup.


openvas-libraries 7.0+beta7 (2014-03-12)

This release is the seventh beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-7".

This release feature a clean reimplementation of process title handling and a
small code cleanup.

Many thanks to everyone who has contributed this release:
Hani Benhabiles and Michael Wiegand.

Main changes compared to 7.0+beta5:
* Reimplemented proctitle handling.
* Code cleanup.


openvas-libraries 7.0+beta6 (2014-03-05)

This release is the sixth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-7".

This release removes a large amount of unused code, addresses a number of code
quality issue and reenables statically linking openvas-libraries when requested.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Henri Doreau, Matthew Mundell, Michael Wiegand and Jan-Oliver
Wagner.

Main changes compared to 7.0+beta5:
* Removed large amount of unused code.
* Addressed code quality issues.
* Fixed an issue which prevent a static build of openvas-libraries from
  succeeding.


openvas-libraries 7.0+beta5 (2014-02-16)

This release is the fifth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-7".

This release addresses many bug fixes and small improvements as well
as code cleanups.

Many thanks to everyone who has contributed this release:
BenoĆ®t Allard, Sebastian Aucouturier, Hani Benhabiles, Henri Doreau,
Dan Fandrich, Michael Wiegand, Jan-Oliver Wagner.

Main changes compared to 7.0+beta4:
* Some functions of Manager are moved to libraries.
* Many small fixes, improvements and code cleanups.


openvas-libraries 7.0+beta4 (2014-01-09)

This release is the fourth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-7".

This release includes the switch for OTP from latin1 to utf-8 and
the new helper tool nasl-lint.

Many thanks to everyone who has contributed this release:
BenoĆ®t Allard, Hani Benhabiles, Matthew Mundell, Michael Wiegand.

Main changes compared to 7.0+beta3:
* Additional tool "nasl-lint" to support NASL developers.
* Use UTF-8 for OTP.
* Various small fixes, improvements and code cleanups.


openvas-libraries 7.0+beta3 (2013-11-21)

This release is the third beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-7".

This release includes support for gzip compression in NASL scripts and changes
the default build behaviour to produce only dynamically linked files. It also
features a number of small improvements to the build process and library use as
well as code cleanups.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Andre Heinecke, Matthew Mundell, Thomas Rotter, Jan-Oliver
Wagner and Michael Wiegand.

Main changes compared to 7.0+beta2:
* Support for gzip compression has been added to NASL, introducing a new dependency on zlib.
* Default build behaviour has been changed to produce only dynamically linked files.
* Simplify handling of certain SSL ports.
* Fix support for NASL to run commands remotely on Windows when authenticated.
* Add support for initializing libgcrypt before use.
* Improved support for compiling openvas-libraries in MINGW.
* Various small fixes, improvements and code cleanups.


openvas-libraries 7.0+beta2 (2013-09-26)

This release is the second beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-7".

This release includes the openvas_hosts interface that replaces the HG module,
handling of .nes extensions removal, memory leaks fixes, unifying of message
types as alarm, ability for nasl to run windows commands remotely and  various
other small changes.

Many thanks to everyone who has contributed this release:
Jan-Oliver Wagner, Michael Wiegand, Henri Doreau, Werner Koch, Matthew Mundell,
Hani Benhabiles, Thanga Prakash, Felix Wolfsteller and Timo Pollmeier.

Main changes compared to 7.0+beta2:
* Remove handling of .nes dependencies extensions.
* New OpenVAS Hosts API with cleaner code and documentation and various new
  features (IPv6 ranges, hosts exclusions and deduplications, reverse lookups
  only/unify hosts, multiple hosts ordering strategies etc,.)
* Removal of HG submodule.
* Fix a couple of memory leaks.
* openvas-nasl now uses new openvas_hosts interface instead of hg.
* Add debug info when parameters are missing in script_xref / script_tag calls.
* Add support for NASL to run commands remotely on Windows when authenticated.
* Unify LOG, NOTE and INFO message types as ALARM.
* Don't interpret threat and cvss parameters in security_message.
* Various small fixes, improvements and code cleanups.


openvas-libraries 7.0+beta1 (2013-06-20)

This release is the first beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-7".

Main new features and other changes of 7.0 compared to 6.0 include the removal
of functionality now being handler by other modules, changes to the OTP
protocol, support for CVSS based severity classification and code cleanups.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Hanno Boeck, Henri Doreau, Werner Koch, Matthew Mundell, Timo
Pollmeier, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 6.0.x:
* The port range option "default" has been removed.
* Service list handling has been removed.
* Support for NVT with new style tags has been added.
* The required minimum GnuTLS version has increased to 2.8.
* NVT severity classification now uses the CVSS value of the NVTs instead of
  separate message types.
* The authentication system has been converted to support database users.
* Separate key directories are now used for signature verification and
  credential encryption.
* File based user specific rules support has been removed.
* File based role management has been removed.
* Sending of the "SERVER <|> PORT" message of OTP has been removed.
* Protocol version has been changed to OTP 2.x.
* Code cleanup.


openvas-libraries 6.0+beta5 (2013-02-22)

This release is the fifth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-6".

This release includes support for enforcing a password policy for
passwords changes through various OpenVAS modules.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Werner Koch and Jan-Oliver Wagner.

Main changes compared to 6.0+beta4:
* Support for enforcing a password policy has been moved to
  openvas-libraries.
* A bug in NVTI cache handling has been fixed.


openvas-libraries 6.0+beta4 (2013-02-19)

This release is the fourth beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-6".

Major changes are support for LDAPS and memory optimization for NVTI.

Many thanks to everyone who has contributed this release:
Hani Benhabiles, Henri Doreau, Werner Koch, Preeti Subramanian,
Jan-Oliver Wagner and Felix Wolfsteller.

Main changes compared to 6.0+beta3:
* Internally compute CVSS and Risk Factor always from CVSS Base
  vector, if available.
* Ignore NASL tags setting a risk_factor. It will therefore not be
  stored in nvti files and not transferred via OTP.
* Internal memory storage for NVTI changed to use caching.
* Improved binding procedures for MS Active Directory Services.
* New: Support for LDAPS.
* Added: WMI registry functions.
* Various little code improvements, bug-fixes and cleanups.


openvas-libraries 6.0+beta3 (2012-12-14)

This release is the third beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-6".

It fixes an issue which caused credentials to be not transferred
correctly when scanning through a slave and improves SSH and X.509
functionality and dependency handling in the build process.

Many thanks to everyone who has contributed this release:
Werner Koch, Matthew Mundell Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 6.0+beta2:
* An issue which caused credentials to be not transferred correctly when
  scanning through a slave has been fixed.
* SSH functionality has been improved.
* Library detection and handling of library flags during the build
  process have been improved.


openvas-libraries 6.0+beta2 (2012-11-02)

This release is the second beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-6".

It improves the handling of system report requests.

Many thanks to everyone who has contributed this release:
Matthew Mundell and Michael Wiegand.

Main changes compared to 6.0+beta1:
* Handling of system report requests has been improved.


openvas-libraries 6.0+beta1 (2012-10-26)

This release is the first beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS-6".

Main new feature and other changes of 6.0 compared to 5.0 include:
New support of x509 certificate NASL API and improved SSH support.

Many thanks to everyone who has contributed this release:
Andre Heinecke, Werner Koch, Michael Meyer, Matthew Mundell, Jan-Oliver Wagner,
Sascha Wilde and Felix Wolfsteller.

Main changes compared to 5.0.x:
* Added TLS support for NASL API to allow x509 certificate testing
  in NVTs.
* Improved support of libssh for SSH connection handling.
  Environment variable "OPENVAS_DISABLE_LIBSSH" can disable
  the new functionality.
* Improved performance by avoiding too many "gpg --version" calls.
* Removing the code that prevented special functions being executed
  by non-authenticated NVTs. Background is that either the whole
  feed is treated as authenticated or as non-authenticated, but
  not a mixture of it.
* Removed deprecated NASL variable "OPENVAS_NASL_LEVEL".
* Several memory leaks fixed.
* Various compile for special compilers issues fixed.
* Internal code cleanups.
* Updated documentation.


openvas-libraries 5.0.1 (2012-04-24)

This is the first maintenance release of the openvas-libraries 5.0 module for
the Open Vulnerability Assessment System 5 (OpenVAS-5).

It contains a fix for the route selection and raises the glib dependency to 2.16.

Many thanks to everyone who has contributed to the 5.0.1 release:
Christian Schmidt, Jan-Oliver Wagner and Michael Wiegand

Main changes compared to 5.0.0:
* Route selection now uses the most specific route instead of the first matching.
* The glib dependency has been raised from 2.12 to 2.16 since the current
  version already uses functions from 2.16.


openvas-libraries 5.0.0 (2012-03-25)

This is the first release of the openvas-libraries 5.0 module for the Open
Vulnerability Assessment System 5 (OpenVAS-5). Compared to the previous major
release it covers a broad set of improvements for the various OpenVAS services
and applications.

Many thanks to everyone who has contributed to the 5.0.0 release:
Michal Ambroz, Henri Doreau, Andre Heinecke, Bernhard Herzog, Stephan Kleine,
Matthew Mundell, Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.

Main changes compared to 4.0.x:

* New NASL function get_script_oid().
* NASL function debug_message() renamed to error_message().
* New NASL function security_message().
* Added "Observer" role for LDAP users.
* Extended support for LDAP authentication
* The LDAP auth DN validation has been improved.
* Vulnerability references (CVE, BID) are not added to result text anymore.
* Built-in NVT Find Services now sends only log messages.
* Built-in NVT Nmap: Improved efficiency and support CPE sent by Nmap.
* Removed copy of regexp and use system functions always.
* Replaced deprecated gnutls function calls by proper replacements
  to simplify build process.
* Some support for simpler MacOS compilation.
* Removed NASL variable NASL_LEVEL (was already marked deprecated) 
* Various improvements to build process.
* A bug which caused outdated cache files to be used under rare circumstances
  has been fixed.
* Code cleanup and refactoring has taken place in NVT meta data management.
* Libssh detection has been improved.
* Support for the observer role has been added and functionality for user
  management has been moved from openvas-administrator to openvas-libraries.
* Support for name conversion for legacy .nes dependencies when loading the
  cache has been removed.
* Support for improved SSH functionality has been added.
* Support for comprehensive network scanning with nmap has been added.
* A number of compiler warnings have been addressed.
* Support for shared sockets has been removed.
* OpenVAS Libraries will now honor the unscanned_closed_udp preference when
  deciding how an unscanned UDP port should be treated.
* Nmap support has been improved.

And additionally changes compared to last release candidate 5.0+rc1:

* Made LDAP support default during configuration. This can
  be disabled with cmake setting BUILD_WITHOUT_LDAP.
* Added simple LDAP authentication support.
* Added scanner preferences result_prepend_tags and result_append_tags to
  prepend or append tag contents to the description of a result. This is
  convenience functionality in preparation for the breaking up of the
  NVT description block and adding proper handling of refined meta
  information all over the OpenVAS Framework.


openvas-libraries 5.0+rc1 (2012-03-10)

This release is the first release candidate of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS 5".

This release fixes various build issues and adds some long-waiting
API extensions.

Many thanks to everyone who has contributed this release:
Michal Ambroz, Henri Doreau, Andre Heinecke, Bernhard Herzog, Stephan Kleine,
Matthew Mundell, Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.

Main changes compared to 5.0+beta2:
* New NASL function get_script_oid().
* NASL function debug_message() renamed to error_message().
* New NASL function security_message().
* Added "Observer" role for LDAP users.
* Vulnerability references (CVE, BID) are not added to result text anymore.
* Built-in NVT Find Services now sends only log messages.
* Built-in NVT Nmap: Improved efficiency and support CPE sent by Nmap.
* Extended support for LDAP authentication
* Removed copy of regexp and use system functions always.
* Replaced deprecated gnutls function calls by proper replacements
  to simplify build process.
* Some support for simpler MacOS compilation.
* Removed NASL variable NASL_LEVEL (was already marked deprecated) 
* Various improvements to build process.


openvas-libraries 5.0+beta2 (2011-10-07)

This release is the second beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS 5".

This release fixes a cache file management issue discovered after there release
of openvas-libraries 5.0+beta1, introduces support for the observer role and
includes the result of a code cleanup and refactoring in the NVT meta data
management.

NOTE: Due to the changes in 5.0+beta2, it is strongly recommended to delete the
contents of the OpenVAS Scanner cache directory to remove obsolete files and to
force the Scanner to rebuild the cache.

Many thanks to everyone who has contributed this release:
Henri Doreau, Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 5.0+beta1:
* A bug which caused outdated cache files to be used under rare circumstances
  has been fixed.
* Code cleanup and refactoring has taken place in NVT meta data management.
* Libssh detection has been improved.
* The LDAP auth DN validation has been improved.
* Support for the observer role has been added and functionality for user
  management has been moved from openvas-administrator to openvas-libraries.
* Support for name conversion for legacy .nes dependencies when loading the
  cache has been removed.


openvas-libraries 5.0+beta1 (2011-06-21)

This release is the first beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS 5".

Main new feature and other changes of 5.0 compared to 4.0 include:
Support for comprehensive network scanning with nmap and for improved SSH
functionality. Also support for shared sockets has been removed in accordance
with OpenVAS Change Request #53.

Many thanks to everyone who has contributed this release:
Henri Doreau, Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 4.0.4:
* Support for improved SSH functionality has been added.
* Support for comprehensive network scanning with nmap has been added.
* A number of compiler warnings have been addressed.
* Support for shared sockets has been removed.
* OpenVAS Libraries will now honor the unscanned_closed_udp preference when
  deciding how an unscanned UDP port should be treated.
* Nmap support has been improved.


openvas-libraries 4.0.4 (2011-05-04)

This is the fourth maintenance release of the openvas-libraries 4.0 module for
the Open Vulnerability Assessment System (OpenVAS).

This release features improvements to the build environment, closes two
potential resource leaks and ensures the unscanned_closed setting in honored for
UDP ports as well.

Many thanks to everyone who has contributed this release:
Henri Doreau, Matthew Mundell, Pavel Sejnoha and Michael Wiegand.

Main changes compared to 4.0.3:
* The handling of internal dependencies while linking has been improved,
  parallel builds of openvas-libraries should now work.
* Two potential resource leaks reported by Pavel Sejnoha and Henri Doreau have
  been fixed.
* The setting "unscanned_closed" is now properly applied to UDP ports.


openvas-libraries 4.0.3 (2011-03-03)

This is the third maintenance release of the openvas-libraries 4.0 module for
the Open Vulnerability Assessment System (OpenVAS).

This release fixes a bug which lead to an incorrect dependency resolution when
scheduling NVTs due to considering only the first dependency. It also fixes an
issue which caused WMI requests to fail.

Many thanks to everyone who has contributed this release:
Chandrashekhar B and Michael Wiegand.

Main changes compared to 4.0.2:
* A bug which caused only the first NVT dependency to be considered has been fixed.
* A bug which caused WMI connects to fail has been fixed.


openvas-libraries 4.0.2 (2011-02-23)

This is the second maintenance release of the openvas-libraries 4.0 module for
the Open Vulnerability Assessment System (OpenVAS).

This release ensures that a file required by OpenVAS Manager and OpenVAS Client
to build credential packages for Local Security Checks (LSCs) is installed
properly. Releases >= 4.0+rc3 failed to install this file.

Many thanks to everyone who has contributed this release:
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 4.0.1:
* The LSC RPM creator support script is now installed correctly.


openvas-libraries 4.0.1 (2011-02-21)

This is the first maintenance release of the openvas-libraries 4.0 module for
the Open Vulnerability Assessment System (OpenVAS).

This release features improvements to the build environment, fixes an issue with
IPv6 support on older systems and makes the check for administrative privileges
more strict.

Many thanks to everyone who has contributed this release:
Chandrashekhar B, Matthew Mundell and Michael Wiegand.

Main changes compared to 4.0.0:
* The build environment has been consolidated.
* A bug which could cause a segmentation fault when using IPv6 under certain
  circumstances has been fixed.
* The check for administrative user privileges has been made more strict.


openvas-libraries 4.0.0 (2011-02-03)

This is the first release of the openvas-libraries 4.0 module for the Open
Vulnerability Assessment System (OpenVAS). Compared to the previous major
release it contains a major cleanup of code, build process and installation.
This increases the efficiency of the OpenVAS Libraries, makes the build easier
for and the installation compliant with the Filesystem Hierarchy Standard (FHS
2.3).

Feature wise this release adds support for a network scan level, improves
support for remote LDAP authentication, adds support for the extended OMP 2.0
protocol and introduced numerous other features request from the OpenVAS user
community.

Many thanks to everyone who has contributed to the 4.0.0 release:
Stephan Kleine, Sooraj KS, Christian Kuersteiner, Matthew Mundell, Michael
Wiegand, Jan-Oliver Wagner and Felix Wolfsteller.

Main changes compared to 3.1.x:

* NVT meta data management has been improved, resulting in a smaller memory
  footprint of the scanner.
* Network level scan support. For example a initial port scan across a whole
  network segment is possible now.
* Improved and fixed remote LDAP authentication which allows to manage
  OpenVAS users in a central LDAP service.
* Former binary ".nes" NVTs "find_service", "openvas_tcp_scanner"
  and "synscan" are now built-in NASL methods.
* Superfluous log messages regarding file uploads have been removed.
* Further code analysis has resulted in a number of fixes to the code and the
  build environment in an effort to make the code even more secure and
  compatible across a wider range of platforms.
* The former autotools build environment has been replaces with a build process
  using cmake and using pkgconfig for dependency checks.

Main changes compared to last release candidate 4.0+rc4:

* Setting file handling has been updated to match changes in openvas-scanner.
* Support for pkg-config has been (re-)introduced.
* File locations have been adjusted to conform to the Filesystem Hierarchy
  Standard.


openvas-libraries 4.0+rc4 (2011-01-26)

This release is the fourth release candidate for the next major release of the
OpenVAS Libraries module. It will be part of the upcoming "OpenVAS 4".

It features a number of fixes to the build environment and updated
documentation.

Many thanks to everyone who has contributed to this release:
Stephan Kleine, Christian Kuersteiner, Michael Wiegand, Jan-Oliver Wagner and
Felix Wolfsteller.

Main changes compared to 4.0+rc3:
* The build environment has fixed in a number of places to restore expected
  behaviour after the move to cmake.
* The documentation has been updated to match the changes in the build
  environment.


openvas-libraries 4.0+rc3 (2011-01-20)

This release is the third release candidate for the next major release of
Libraries module. It will be part of the upcoming "OpenVAS 4".

It features a complete exchange of the build process which now
is cmake-based. Also, numerous code elements were removed
of which it was unclear whether they have still practical relevance.

Many thanks to everyone who has contributed to this release:
Matthew Mundell, Michael Wiegand, Jan-Oliver Wagner and Felix Wolfsteller.

Main changes compared to 4.0+rc2:
* Improved and fixed remote LDAP authentication.
* Former binary ".nes" NVTs "find_service", "openvas_tcp_scanner"
  and "synscan" are now built-in NASL methods.
* Any autotools-related build environment was removed.
* At top-level a cmake-based build environment was introduced.
* libopenvas_omp: Activated escaping of characters so that
  special characters can more save be allowed for some OMP commands.
* example_auth.conf was updated with more sensible values.
* Bug fix on Credential creation.
* this package now initially creates required directories in the
  installation directory (if not present). This was done by other
  modules previously (mostly openvas-scanner)
* Many old code paths for certain operting system environments
  have been removed. Most likely, HPUX, Solaris and similar
  won't compile this code anymore.


openvas-libraries 4.0+rc2 (2011-01-10)

This release is the second release candidate for the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS 4".

It features a more robust user creation process and address further compiler
warnings.

Many thanks to everyone who has contributed to this release:
Matthew Mundell, Michael Wiegand and Felix Wolfsteller.

Main changes compared to 4.0+rc1:
* The user creation process has been made more robust.
* More compiler warnings have been addressed.


openvas-libraries 4.0+rc1 (2010-12-20)

This release is the first release candidate for the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS 4".

It features updated documentation, addresses a number of compiler warning and
fixes an incorrect warning in setuid environments.

Many thanks to everyone who has contributed to this release:
Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 4.0+beta2:
* The documentation in the INSTALL_README file has been updated.
* A number of compiler warnings by gcc 4.4 has been addressed.
* A incorrect error message during user creation that only occurred in setuid
  environments has been removed.


openvas-libraries 4.0+beta2 (2010-12-01)

This release is the second beta version of the next major release of
openvas-libraries. It will be part of the upcoming "OpenVAS 4".

It features improved handling of finished GnuTLS session, more consistent NASL
functions for SMB and WMI connections and a number of fixes to the code and the
build environment in an effort to make the code even more secure and more
compatible.

Many thanks to everyone who has contributed to this release:
Sooraj KS, Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 4.0+beta1:
* Further code analysis has resulted in a number of fixes to the code and the
  build environment in an effort to make the code even more secure and
  compatible across a wider range of platforms.
* The arguments for the NASL functions for WMI and SMB connections have been
  made more consistent.
* The handling of finished GnuTLS sessions has been improved, eliminating
  superfluous log messages.


openvas-libraries 4.0+beta1 (2010-11-18)

This release is the first beta version of the next major release
of openvas-libraries. It will be part of the upcoming "OpenVAS 4".

Main new feature and other changes of 4.0 compared to 3.1 include:
Support of a network scan level, reduced memory consumption,
cleanup and reduction of code base and support of upcoming protocol
OMP 2.0.

Many thanks to everyone who has contributed to this release:
Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 3.1.3:
* Network level scan support.
* The code for providing OMP functionality has been cleaned up.
* Further code cleanup has lead to the removal of more than 3,500 lines of
  unused code.
* A bug which tried to free memory that was not allocated before under some
  circumstances has been fixed.
* Superfluous log messages regarding file uploads have been removed.
* NVT meta data management has been improved, resulting in a smaller memory
  footprint of the scanner.
* The install path for header files has been made more consistent.


openvas-libraries 3.1.3 (2010-09-10)

This is the 3.1.3 release of the openvas-libraries module for the Open
Vulnerability Assessment System (OpenVAS).

It fixes primarily a significant memory leak that will
improve high load performance by about 40%.

This release is recommended for anyone using OpenVAS
for large scans to improve performance.

Many thanks to everyone who has contributed to this release:
Chandrashekhar B, Matthew Mundell, Thomas Reinke
(the memory leak fixes), Michael Wiegand.

Main changes compared to 3.1.1:
* Significant memory leaks are closed.
* Bug fix for handling shared file descriptors that now
  prevents unnecessary use of new file descriptors under
  certain circumstances.
* Little fix in the nasl wmi api.

openvas-libraries 3.1.2 (2010-08-04)

This is the 3.1.2 release of the openvas-libraries module for the Open
Vulnerability Assessment System (OpenVAS).

It fixes a build issue that was discovered after the release of
openvas-libraries 3.1.1.

Many thanks to everyone who has contributed to this release:
Michael Wiegand.

Main changes compared to 3.1.1:
* A bug in the WMI interface stub which caused the build to fail when configured
  without WMI has been fixed.


openvas-libraries 3.1.1 (2010-08-03)

This is the 3.1.1 release of the openvas-libraries module for the Open
Vulnerability Assessment System (OpenVAS).

It clarifies a number of licensing issues, updates the WMI infrastructure and
documentation and adds cross compile support for mingw32 to
openvas-libraries/base.

Many thanks to everyone who has contributed to this release:
Raimund Renkert, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 3.1.0:
* Cross compile support for mingw32 has been added to openvas-libraries/base.
* Missing copyright and license information has been added to a number of files.
* The COPYING file has been updated to better indicate the licenses of
  individual files and the full text for all licenses has been added.
* The WMI infrastructure has been updated to match necessary changes in the API
  of the WMI patch.
* The documentation on using WMI in openvas-libraries has been updated.


openvas-libraries 3.1.0 (2010-07-14)

This is the 3.1.0 release of the openvas-libraries module for the Open
Vulnerability Assessment System (OpenVAS).

It adds a number of new features, for example support for NTLMSSP, for LDAP
authentication, for preference file uploads to memory, for logging messages to
syslog and for scanning virtual web hosts.

Many thanks to everyone who has contributed to this release:
Tim Brown, Geoff Galitz, Stephan Kleine, Goran Licina, Michael Meyer, Matthew
Mundell, Raimund Renkert, Preeti Subramanian, Jan-Oliver Wagner, Michael Wiegand
and Felix Wolfsteller.

Main changes compared to 3.0.5:
* Code cleanup: Code from openvas-administrator and openvas-manager which could
  be more appropriately placed in openvas-libraries has been moved here.
* Initial support for LDAP authentication has been added.
* IPv6 support has been improved.
* Support for building parts of openvas-libraries on Windows has been added.
* Support for reading preference file uploads from memory instead of from disk
  has been added.
* Support for NTLMSSP has been added.
* Authentication mechanism extended to support LDAP and ADS.
* An issue which caused SSH logins with RSA keys on remote systems to fail under
  certain circumstances has been fixed.
* Support for logging to syslog has been added.
* Support for scanning virtual web hosts has been added.


openvas-libraries 3.1.0.rc3 (2010-07-01)

This is the third release candidate of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.1 series.

It fixes a build issue Gentoo GNU/Linux systems, addresses a compiler warning in
the NTLMSSP code and ensure the most recent releases of openvas-client,
openvas-cli and openvas-manager build with openvas-libraries 3.1.0.

Many thanks to everyone who has contributed to this release:
Preeti Subramanian and Michael Wiegand.

Main changes compared to 3.1.0.rc2:
* An issue which caused the build to fail on Gentoo GNU/Linux systems has been
  fixed.
* An issue which caused openvas-client, openvas-cli and openvas-manager to fail
  to build with openvas-libraries has been fixed.


openvas-libraries 3.1.0.rc2 (2010-06-28)

This is the second release candidate of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.1 series.

It extends the authentication mechanism to support LDAP and ADS and introduces
support for logging messages to syslog and scanning virtual web hosts.

Many thanks to everyone who has contributed to this release:
Tim Brown, Goran Licina, Matthew Mundell, Raimund Renkert, Preeti Subramanian,
Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.

Main changes compared to 3.1.0.rc1:
* QA: A number of compiler warnings have been addressed.
* Authentication mechanism extended to support LDAP and ADS.
* An issue which caused SSH logins with RSA keys on remote systems to fail under
  certain circumstances has been fixed.
* A bug which caused segmentation faults when using NTLMSSP authentication in
  openvas-libraries built with WMI supports has been fixed.
* Support for logging to syslog has been added.
* Support for scanning virtual web hosts has been added.


openvas-libraries 3.1.0.rc1 (2010-05-19)

This is the first release candidate of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.1 series.

It adds support for NTLMSSP, for LDAP authentication, for preference file
uploads to memory and for building some parts of openvas-libraries on Windows.

Many thanks to everyone who has contributed to this release:
Geoff Galitz, Stephan Kleine, Michael Meyer, Matthew Mundell, Raimund Renkert,
Preeti Subramanian, Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.

Main changes compared to 3.0.5:

* Code cleanup: Code from openvas-administrator and openvas-manager which could
  be more appropriately placed in openvas-libraries has been moved here.
* Initial support for LDAP authentication has been added.
* A bug which caused WMI support to be disabled in the standalone NASL
  interpreter has been fixed.
* IPv6 support has been improved.
* Support for building parts of openvas-libraries on Windows has been added.
* Support for reading preference file uploads from memory instead of from disk
  has been added.
* Support for NTLMSSP has been added.


openvas-libraries 3.0.5 (2010-04-13)

This is the fifth maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.0 series.

It contains support for resuming tasks, improved packet forgery support for IPv6
environments and a reworked internal build infrastructure.

Many thanks to everyone who has contributed to this release:
Tim Brown, Stephan Kleine, Vlatko Kosturjak, Matthew Mundell, Mareike
Piechowiak, Preeti Subramanian, Jan-Oliver Wagner, Michael Wiegand and Felix
Wolfsteller.

Main changes compared to 3.0.4:

* The build infrastructure for the hg and misc modules has been switch to CMake
  from autoconf.
* Support for resuming tasks has been added to OMP.
* Packet forgery support for IPv6 has been improved.
* A build issue on Mandriva has been fixed.


openvas-libraries 3.0.4 (2010-03-03)

This is the fourth maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.0 series.

It fixes several build issues, adds support for Windows registry hives and for
using parts of openvas-libraries with C++.

Many thanks to everyone who has contributed to this release:
Chandrashekhar B, Stephan Kleine, Matthew Mundell, Jan-Oliver Wagner, Michael
Wiegand and Felix Wolfsteller.

Main changes compared to 3.0.3:

* Several build issues on Mandriva have been fixed.
* Support for using openvas-libraries in C++ code has been introduced for some
  OMP libraries.
* The openvas-nasl standalone NASL interpreter is now linked dynamically.
* A bug which caused some GnuTLS error messages to be printed to stderr instead
  of to the logs had been fix.
* Support for registry hives has been added to the WMI registry functions.
* Support for detecting libraries in non-standard locations during the
  configuration process has been added.
* Support for multiple levels of subdirectories in the NVT directory has been
  improved.


openvas-libraries 3.0.3 (2010-02-04)

This is the third maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.0 series.

It improves support for OMP parsing, adds initial support for dropping
privileges, and adds new crypto functions and support for SMB NTLMv1 and NTLMv2.

Many thanks to everyone who has contributed to this release:
Chandrashekhar B, Tim Brown, Matthew Mundell, Michael Wiegand and Felix
Wolfsteller.

Main changes compared to 3.0.2:

* Initial support for dropping privileges.
* New crypto functions and support for SMB NTLMv1 and NTLMv2.


openvas-libraries 3.0.2 (2010-01-19)

This is the second maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.0 series.

It adds support for modifying the scanner configuration file through API calls,
for example for use in the openvas-administrator.

Many thanks to everyone who has contributed to this release:
Matthew Mundell and Michael Wiegand.

Main changes compared to 3.0.1:

* Support for modifying scanner configuration files has been added.
* The API for retrieving settings has been improved.


openvas-libraries 3.0.1 (2010-01-11)

This is the first maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 3.0 series.

It contains an update to the OMP API and solves an issue that raised the version
dependency on GnuTLS unnecessarily.

Many thanks to everyone who has contributed to this release:
Matthew Mundell, Michael Wiegand and Felix Wolfsteller

Main changes compared to 3.0.0:

* The OMP API has been updated.
* An unnecessary GnuTLS call has been removed.
* Minor code cleanups.


openvas-libraries 3.0.0 (2009-12-18)

This is the 3.0.0 release of the openvas-libraries module for the Open
Vulnerability Assessment System (OpenVAS). It introduces a significantly
improved and changed source code architecture and therefore introduces a
new API for the other OpenVAS components.

OpenVAS 3.0 introduces a new architecture where openvas-libraries now
includes openvas-libnasl as well as redundant code from openvas-client.
Also, openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this, the
source code line count has been reduced even though new features have
been added. Also, for running the scanner now only 2 modules are
required (instead of 4 as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 also supports the new OpenVAS Manager and OpenVAS
Administrator as optional extensions. This combination leverages the
vulnerability scanner to a comprehensive vulnerability management
solution.

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael
Meyer, Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner,
Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support (optional)
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12

Main changes compared to 3.0.0-rc1:

* A small number of potential resource leaks have been fixed.
* IPv6 support has been improved.
* Initial support for reading configuration files in the keyfile format
  has been added.


openvas-libraries 3.0.0-rc1 (2009-12-07)

This release is the first release candidate of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "release candidate" releases are intended to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Unless serious bugs are discovered, this release candidate will become the final
OpenVAS 3.0 release. Users are encouraged to test this release and to report
bugs to the OpenVAS bug tracker located at http://bugs.openvas.org/ .

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12
* Minimum cmake version raised from 2.4 to 2.6

Main changes compared to 3.0.0-beta7:

* A number of build issues on openSUSE 11.2 has been fixed.
* 64 bit compatibility has been improved. (Fixes: #1194, #1196)
* Temporary files created by NVTs are now correctly placed in the system
  directory for temporary file (i.e. /tmp). (Fixes: #1170)
* The standalone NASL interpreter now supports relative paths. (Fixes: #1101).


openvas-libraries 3.0.0-beta7 (2009-11-23)

This release is the seventh beta version of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "beta" releases are intended to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12

Main changes compared to 3.0.0-beta6:

* IPv6 support has been improved.


openvas-libraries 3.0.0-beta6 (2009-11-09)

This release is the sixth beta version of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "beta" releases are intended to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12

Main changes compared to 3.0.0-beta5:

* XML parsing has been made more robust.


openvas-libraries 3.0.0-beta5 (2009-10-26)

This release is the fifth beta version of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "beta" releases are intended to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12

Main changes compared to 3.0.0-beta4:

* Support for pidfile handling has been added.
* Support for LSC RPM creation has been added.
* API improvements.
* Code cleanup and internal reorganisation.


openvas-libraries 3.0.0-beta4 (2009-10-19)

This release is the fourth beta version of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "beta" releases are intended to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12

Main changes compared to 3.0.0-beta3:

* A number of resource and memory leaks have been identified and fixed.
* Signature verification works again.
* Command line options for the standalone NASL interpreter have been updated.
* API improvements.


openvas-libraries 3.0.0-beta3 (2009-10-06)

This release is the third beta version of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "beta" releases are intended to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12

Main changes compared to 3.0.0-beta2:

* Minimum cmake version raised from 2.4 to 2.6
* Internal library reorganisation
* Proctitle now contains the correct binary name for openvas-scanner
* Configured values for the local state directory and for the system
  configuration directory are now honoured correctly during build time


openvas-libraries 3.0.0-beta2 (2009-09-28)

This release is the second beta version of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "beta" releases are intented to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Many thanks to everyone who has contributed to the 3.0.0 release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12

Main changes compared to 3.0.0-beta1:

* Removed any packaging files as they are kept separately.
* Extended and cleaned up API (especially "include"'s)
* Consistent name scheme for libraries (libopenvas_XXX) where
  XXX is base, omp, misc, hg and nasl.
* New structure of installed header files (subdirectory for
  each library, except for misc)
* Fixed and improved build system (e.g. correct use of DESTDIR)


openvas-libraries 3.0.0-beta1 (2009-09-22)

This release is the first beta version of openvas-libraries
leading up to the upcoming 3.0 release of OpenVAS.
It introduces a significantly improved and changed source
code architecture and therefore introduces a new API for the
other OpenVAS components.

OpenVAS 3.0 will introduce a new architecture where openvas-libraries
now includes openvas-libnasl as well as redundant code from openvas-client
and where openvas-server is renamed to openvas-scanner and includes any
platform-dependent elements of openvas-plugins. As a result of this,
the source code will shrink, though new features will be added. Also,
for running the scanner now only 2 modules are required (instead of 4
as for OpenVAS 2.0).

New features of OpenVAS include support for IPv6 and WMI-Clients.
Version 3.0 prepares the new OpenVAS Manager and OpenVAS Administrator
as optional extension. This combination leverages the vulnerability
scanner to a comprehensive vulnerability management solution.

The "beta" releases are intented to allow testing of the upcoming
3.0 series. It should be kept separate from OpenVAS 2.0 installations
and not be used in a production environment.

Many thanks to everyone who has contributed to this release:
Chandrashekhar B, Marcus Brinkmann, Tim Brown, Vlatko Kosturjak, Michael Meyer,
Matthew Mundell, Laban Mwangi, Srinivasa NL, Jan Wagner, Jan-Oliver Wagner,
Michael Wiegand and Felix Wolfsteller.

Main changes compared to 2.0.x:

* IPv6 support
* WMI-Client support
* Integration of openvas-libnasl
* New library "base"
* New library "omp"
* Former libopenvas renamed to libopenvas_misc
* New NVT cache implementation to overcome limitations
* Several files from openvas-client integrated
* Use of "cmake" to build base, omp and nasl
* glib dependency raised from 2.6 to 2.12


openvas-libraries 2.0.3 (2009-06-10)

This is the third maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 2.0 series.

It fixes a small number of issues discovered after the release of
openvas-libraries 2.0.2 and introduces new functionality designed to enable
improvements in other OpenVAS modules.

Main changes since 2.0.2:

* Support for localized security messages (e.g. umlauts) has been re-enabled.
* New functions for GnuTLS-based communication were added.
* New functions for authentication were added.
* An improved caching framework has been added ("NVT Info objects").

Many thanks to everyone who has contributed to this release: Matthew Mundell,
Jan Wagner, Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.


openvas-libraries 2.0.2 (2009-03-06)

This is the second maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 2.0 series.

It fixes a number of issues discovered after the release of openvas-libraries
2.0.1.

Main changes since 2.0.1:
* A bug which caused plugins to hang or freeze under certain circumstances due
  to a blocking pcap device has been fixed.
* A bug which caused openvas-libraries to send a truncated HTTP version
  identifier when constructing HTTP requests has been fixed.
* A bug which broke the linking process under certain circumstances has been
  fixed.

Many thanks to everyone who has contributed to this release: Tim Brown, Vlatko
Kosturjak, Michael Meyer, Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.


openvas-libraries 2.0.1 (2009-02-06)

This is the first maintenance release of the openvas-libraries module for the
Open Vulnerability Assessment System (OpenVAS) 2.0 series.

It fixes a number of issues discovered after the release of openvas-libraries
2.0.0 and introduces support for upcoming features. Thanks to the continuing
audit of the code, a number of obsolete, unused and/or unnecessary functions
were identified and removed. The amount and the quality of the source code
documentation has been improved as well.

Effect when installing this version: The cache of NVT descriptions (located in
plugin_folder/.desc/) will be rebuild at next start of openvasd.
The cache files used to have the suffix ".desc" instead of ".nasl", e.g.
"x.desc" corrsponds to "x.nasl".  Now, the suffix ".desc" is appended, e.g.
"x.nasl.desc" corresponds to "x.nasl".  This also prevents that e.g. "x.nasl"
and "x.nes" (or "x.oval") will overwrite each others' cache file.
Recommendation: Clean the entire cache directory before restarting openvasd. If
you don't do this, the .desc/ directory will contain all cache files twice.
Other than unnecessary disk space consumption this has no bad effect.


Main changes since 2.0.0:
* Renamed caching files to conflict-free scheme
* Prepared support for sub-directories in plugins_folder in accordance with
  Change Request #24 (http://www.openvas.org/openvas-cr-24.html)
* Support for improved management of SSH credentials has been added in
  accordance with Change Request #20 (http://www.openvas.org/openvas-cr-20.html)
* Established automated source code documentation. HTML-Version is available
  under http://www.openvas.org/src-doc/openvas-libraries/2.0.1/index.html

Bugfixes:
* A configuration issue which caused the build process to fail on Mac OS X has
  been fixed. (Solves: #761)
* Missing includes which caused the build process to fail on Darwin and NetBSD
  have been added. (Solves: #860, #862)

Many thanks to everyone who has contributed to this release: Tim Brown,
Stjepan Gros, Jan-Oliver Wagner, Felix Wolfsteller and Michael Wiegand.


openvas-libraries 2.0.0 (2008-12-17)

This is the 2.0.0 release of OpenVAS.

If you have used the 2.0-beta1, -beta2 or -rc1 release, we recommend that you
update all your OpenVAS modules (openvas-libraries, openvas-libnasl,
openvas-server and openvas-client) to 2.0.0.

If you are currently using the 1.0.x branch and want to evaluate OpenVAS 2.0.0,
we recommend that you install 2.0.0 separately from your OpenVAS 1.0
installation. Instructions on how to do this are available from the OpenVAS
website.

Main changes since 2.0-rc1:
* A bug causing segmentation faults on server startup has been fixed.
* The build environment has been updated.

Main changes since 1.0.2:
* Support for the new script_tag command in NASL scripts has been added.
* 64-bit compatibility has been considerably improved.
* Support for transferring NVT signature information to the client has been added.
* Switch from Nessus plugin IDs to OIDs.
* Switch from Nessus Transfer Protocol 1.2 to OpenVAS Transfer Protocol 1.0.

Many thanks to everyone who has contributed to this release: Tim Brown, Stjepan
Gros, Matthew Mundell, Vlatko Kosturjak, Jan Wagner, Jan-Oliver Wagner, Felix
Wolfsteller and Michael Wiegand.


openvas-libraries 2.0-rc1 (2008-12-05)

This release is the first release candidate for the upcoming 2.0 release of OpenVAS.

Unless serious bugs are discovered, this release candidate will become the final
OpenVAS 2.0 release. Users are encouraged to test this release and to report
bugs to the OpenVAS bug tracker located at http://bugs.openvas.org/ .

If you have used the 2.0-beta2 release, we recommend that you update all your
OpenVAS modules (openvas-libraries, openvas-libnasl, openvas-server and
openvas-client) to 2.0-rc1.

If you are currently using the stable 1.0.x branch and want to take part in
testing this release candidate, we recommend that you install 2.0-rc1 separately
from your OpenVAS 1.0 installation. Instructions on how to do this are available
from the OpenVAS website.

Main changes since 2.0-beta2:
* Support for the new script_tag command in NASL scripts has been added.
* Code quality has been improved; a number of potential buffer overflows have been fixed.
* Minor bugfixes.

Many thanks to everyone who has contributed to this release: Tim Brown, Matthew
Mundell, Felix Wolfsteller and Michael Wiegand.


openvas-libraries 2.0-beta2 (2008-11-14)

This release is the second beta version of the upcoming 2.0 release of OpenVAS.
It contains improved 64-bit compatibility, support for transferring NVT
signature information to the client and various improvements.

This release is intended to contain all features intended for the final OpenVAS
2.0 release. Users are encouraged to test this release and to report bugs to the
OpenVAS bug tracker located at http://bugs.openvas.org/ .

If you have used the 2.0-beta1 release, we recommend that you update all your
OpenVAS modules (openvas-libraries, openvas-libnasl, openvas-server and
openvas-client) to 2.0-beta2.

If you are currently using the stable 1.0.x branch and want to take part in the
beta phase for 2.0, we recommend that you install 2.0-beta2 separately from your
OpenVAS 1.0 installation. Instructions on how to do this are available from the
OpenVAS website.

Main changes since 2.0-beta1:
* 64-bit compatibility has been considerably improved.
* Debian packaging files have been updated.
* Support for transferring NVT signature information to the client has been added.
* Bugfixes.
* Various code cleanups.

Many thanks to everyone who has contributed to this release: Tim Brown, Stjepan
Gros, Jan-Oliver Wagner, Michael Wiegand and Felix Wolfsteller.


openvas-libraries 2.0-beta1 (2008-09-23)

This release is a first beta version of the upcoming 2.0 release of OpenVAS.
This is the first release of openvas-libraries to fully implement OID support
and marks the switch from the Nessus Transport Protocol (NTP) to the improved
and cleaned up OpenVAS Transport Protocol (OTP). In addition, this release
contains minor bug fixes and updates to distribution files.

OpenVAS 2.0 will introduce a full set of new modules for OpenVAS Server
(openvas-libraries, openvas-libnasl and openvas-server) and the a new
OpenVAS-Client. The only  module OpenVAS 1.0 and OpenVAS 2.0 will  share is
openvas-plugins. This means that the OpenVAS NVT Feed is compatible with both
generations of OpenVAS.

However, in case you plan to try out the new generation of OpenVAS, you should
install it separately from OpenVAS 1.0 installation. Instructions on how to do
this will be added to the OpenVAS homepage after all relevant modules are
released as 2.0-beta1. A separate announcement will officially start the beta
testing phase for OpenVAS 2.0.

Main changes in this release:
* Fix to incorrect library usage that prevented building RPM packages under
  certain circumstances.
* Updates of Debian packaging files.
* Switch from Nessus plugin IDs to OIDs.
* Switch from Nessus Transport Protocol 1.2 to OpenVAS Transport Protocol 1.0.
* Fix to incorrect usage of string functions that could have lead to buffer
  overflows under certain circumstances.

Many thanks to everyone who has contributed to this release: Tim Brown, Vlatko
Kosturjak, Jan Wagner, Jan-Oliver Wagner and Michael Wiegand

openvas-libraries 1.0.2 (2008-06-30)

This release contains improvements to plugin handling and to the packaging files
for various distributions as well as minor bug fixes and cleanups.
Apart from this, this release prepares OID support for OpenVAS.

It is recommended to update to this release, because future releases
of openvas-libnasl and openvas-libnasl will require openvas-libraries 1.0.2
as minimum version.

* Updates of the OpenSUSE, Fedora and Debian packaging files.
* Preparation for support for OpenVAS OIDs.
* Increased internal storage space for plugin preferences to allow for plugins
  with a large number of options.
* Fixed a bug that resulted in incorrect memory allocation on certain 64bit
  installations.
* Removed support for unencrypted communication with the client.
* Fixed a configuration issue that broke the build process on certain 64bit
  installations.
* Various code cleanups.

openvas-libraries 1.0.1 (2008-04-01)

Comprehensive code-reduction, include- and config-change release.

The changes might cause compile failures
or other defects for various operating systems.
Reports on problems are appreciated.

* Replaced inclusion of includes.h for many modules by respective
  separate include files.
* Configure checks for libresolv have been improved but still fail
  on some systems.
* File includes.h is not installed anymore.
* Compile option "--enable-bpf-sharing" and corresponding
  functionalityx has been removed.
* Added several include files which will be installed under include/openvas/
  These have been extracted from libopenvas.h which, for convenience,
  still includes all of the single new include files.
* Removed various unused modules and functions.
* Various fixes to reduce flawfinder warnings.
* Various fixes to reduce compiler warnings.
* Updates of the Debian packaging files.

openvas-libraries 1.0.0 (2007-10-12)

First stable release.

* Now installs header files hosts_gatherer.h and hg_utils.h.
* More code cleanups.

openvas-libraries 0.9.1 (2007-09-13)

Further cleanups release.

Changes since 0.9.0 (2007-09-13):

* Renamed libhosts_gatherer to libopenvas_hg to
  resolved the last remaining filename conflict
  with nessus-libraries.
* Introduced its own versioning (independent of
  the other OpenVAS modules).
* Internal package improvements for less conflicts
  with nessus-libraries and less conflicts with LFSH.
* Switched on all compile-time warnings.
* Fixed some code warnings.

openvas-libraries 0.9.0 (2007-07-27)

The first initial release of openvas-libraries
after the fork from Nessus 2.2.x.

Main changes are:

* Replace OpenSSL by GNU/TLS (therefore it is allowed now to distribute
  binary packages with SSL-support)
* SSL now mandatory.
* Removed libpcap-nessus entirely. Now the system one is to be used.
* Many cleanups of ancient remains (still many to come)
* Removed various W32-specific elements, because W32 isn't
  a taget system anyway.
* Lots of renaming to avoid conflicts with parallel
  Nessus installation
